Activating Norton 360

To use all of the features in Norton 360, you must first activate your product.

If you did not activate your product during installation, you will receive an Activation Needed alert regularly until you activate the product.

Product activation reduces software piracy and ensures that you have authentic Symantec software.

You must activate your product within the time period that is specified by the alert, or your product will stop working.

You can activate your product directly from the Activation Needed alert. You can also activate your product from the main window. Activation should take only a few minutes.

To activate your product from the Activation Needed alert

  1. In the alert, click Activate Now.

  2. Click OK.

  3. In the Activation window, click Next.

  4. In the Activation Successful window, click Finish.

To activate your product from the main window

  1. Click My Account.

  2. Click Activate Norton 360.